Skip to main content
GET
/
{chain_id}
/
api
/
v2
/
smart-contracts
/
{address_hash_param}
Retrieve detailed information about a verified smart contract
curl --request GET \
  --url https://api.blockscout.com/{chain_id}/api/v2/smart-contracts/{address_hash_param} \
  --header 'Authorization: Bearer <token>'
{
  "abi": [
    {}
  ],
  "additional_sources": [
    {
      "file_path": "<string>",
      "source_code": "<string>"
    }
  ],
  "address": {
    "ens_domain_name": "<string>",
    "hash": "<string>",
    "implementations": [
      {
        "address_hash": "<string>",
        "name": "<string>"
      }
    ],
    "is_contract": true,
    "is_scam": true,
    "is_verified": true,
    "metadata": {
      "tags": [
        {
          "meta": {},
          "name": "<string>",
          "ordinal": 123,
          "slug": "<string>",
          "tagType": "<string>"
        }
      ]
    },
    "name": "<string>",
    "private_tags": [
      {
        "address_hash": "<string>",
        "display_name": "<string>",
        "label": "<string>"
      }
    ],
    "public_tags": [
      {
        "address_hash": "<string>",
        "display_name": "<string>",
        "label": "<string>"
      }
    ],
    "watchlist_names": [
      {
        "display_name": "<string>",
        "label": "<string>"
      }
    ]
  },
  "can_be_visualized_via_sol2uml": true,
  "certified": true,
  "coin_balance": "<string>",
  "compiler_settings": {},
  "compiler_version": "<string>",
  "conflicting_implementations": [
    {}
  ],
  "constructor_args": "<string>",
  "creation_bytecode": "<string>",
  "creation_status": "<string>",
  "decoded_constructor_args": [
    [
      {}
    ]
  ],
  "deployed_bytecode": "<string>",
  "evm_version": "<string>",
  "external_libraries": [
    {
      "address_hash": "<string>",
      "name": "<string>"
    }
  ],
  "file_path": "<string>",
  "github_repository_metadata": {},
  "has_constructor_args": true,
  "implementations": [
    {
      "address_hash": "<string>",
      "name": "<string>"
    }
  ],
  "is_blueprint": true,
  "is_changed_bytecode": true,
  "is_fully_verified": true,
  "is_partially_verified": true,
  "is_verified": true,
  "is_verified_via_eth_bytecode_db": true,
  "is_verified_via_sourcify": true,
  "is_verified_via_verifier_alliance": true,
  "language": "<string>",
  "license_type": "<string>",
  "market_cap": "<string>",
  "name": "<string>",
  "optimization_enabled": true,
  "optimization_runs": 123,
  "package_name": "<string>",
  "proxy_type": "<string>",
  "reputation": "<string>",
  "source_code": "<string>",
  "sourcify_repo_url": "<string>",
  "transactions_count": 123,
  "verification_metadata": {},
  "verified_at": "2023-11-07T05:31:56Z",
  "verified_twin_address_hash": "<string>"
}

Authorizations

Authorization
string
header
required

API key passed as a Bearer token in the Authorization header.

Path Parameters

address_hash_param
string
required

Address hash in the path

Pattern: ^0x([A-Fa-f0-9]{40})$
chain_id
string
required

The ID of the blockchain

Response

200 - application/json

Detailed information about the specified verified smart contract.

Smart contract

abi
object[] | null
additional_sources
object[] | null
address
Address · object

Address

can_be_visualized_via_sol2uml
boolean | null
certified
boolean
coin_balance
string | null
compiler_settings
object
compiler_version
string | null
conflicting_implementations
object[] | null
constructor_args
string | null
creation_bytecode
string | null
creation_status
string | null
decoded_constructor_args
((object | string)[])[] | null
deployed_bytecode
string | null
evm_version
string | null
external_libraries
object[] | null
file_path
string | null
github_repository_metadata
object
has_constructor_args
boolean | null
implementations
object[] | null
is_blueprint
boolean | null
is_changed_bytecode
boolean | null
is_fully_verified
boolean | null
is_partially_verified
boolean | null
is_verified
boolean | null
is_verified_via_eth_bytecode_db
boolean | null
is_verified_via_sourcify
boolean | null
is_verified_via_verifier_alliance
boolean | null
language
string | null
license_type
string | null
market_cap
string | null
name
string | null
optimization_enabled
boolean | null
optimization_runs
integer | null
package_name
string | null
proxy_type
string | null
reputation
string | null
source_code
string | null
sourcify_repo_url
string | null
transactions_count
integer | null
verification_metadata
object
verified_at
string<date-time> | null
verified_twin_address_hash
string | null